From 35c3961d10d3f9e3752102ea8e8bb8c187b32241 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=B6rg=20Krause?= <joerg.krause@embedded.rocks>
Date: Thu, 14 Apr 2016 13:03:40 +0200
Subject: [PATCH] Fix unknown CMake command lua_add_executable

Commit 99474236bdf89cb3450776a61a458d449708b9e1 replaced the macro
`luajit_add_executable` by `lua_add_executable` which breaks building
luvi with shared libs.

Replace the macro name in LuaJITAddExecutable.cmake too.

Closes: https://github.com/luvit/luvi/issues/147
---
 cmake/Modules/LuaJITAddExecutable.cmake | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/cmake/Modules/LuaJITAddExecutable.cmake b/cmake/Modules/LuaJITAddExecutable.cmake
index 96f4224..1c328f0 100644
--- a/cmake/Modules/LuaJITAddExecutable.cmake
+++ b/cmake/Modules/LuaJITAddExecutable.cmake
@@ -52,7 +52,7 @@ MACRO(LUAJIT_add_custom_commands luajit_target)
   ENDFOREACH(file)
 ENDMACRO()
 
-MACRO(LUAJIT_ADD_EXECUTABLE luajit_target)
+MACRO(LUA_ADD_EXECUTABLE luajit_target)
   LUAJIT_add_custom_commands(${luajit_target} ${ARGN})
   add_executable(${luajit_target} ${target_srcs})
-ENDMACRO(LUAJIT_ADD_EXECUTABLE luajit_target)
+ENDMACRO(LUA_ADD_EXECUTABLE luajit_target)
